Bug 1749976 (CVE-2019-15223) - CVE-2019-15223 kernel: Null pointer dereference in the sound/usb/line6/driver.c
Summary: CVE-2019-15223 kernel: Null pointer dereference in the sound/usb/line6/driver.c
Keywords:
Status: NEW
Alias: CVE-2019-15223
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1749987
Blocks: 1749989
TreeView+ depends on / blocked
 
Reported: 2019-09-07 01:21 UTC by Pedro Sampaio
Modified: 2019-09-09 16:41 UTC (History)
40 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Pedro Sampaio 2019-09-07 01:21:05 UTC
An issue was discovered in the Linux kernel before 5.1.8. There is a NULL pointer dereference caused by a malicious USB device in the sound/usb/line6/driver.c driver.

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=0b074ab7fc0d575247b9cc9f93bb7e007ca38840

References:

https://syzkaller.appspot.com/bug?id=0c1e517c657d3de2361cb0cc2d3a8663c25039a7
http://www.openwall.com/lists/oss-security/2019/08/20/2

Comment 1 Pedro Sampaio 2019-09-07 02:33:30 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1749987]

Comment 2 Justin M. Forbes 2019-09-09 08:17:06 UTC
This was fixed for Fedora with the 5.1.8 stable kernel updates.


Note You need to log in before you can comment on or make changes to this bug.